// ZoomBmpView.cpp : implementation of the CZoomBmpView class
//

#include "stdafx.h"
#include "ZoomBmp.h"

#include "ZoomBmpDoc.h"
#include "ZoomBmpView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CZoomBmpView

IMPLEMENT_DYNCREATE(CZoomBmpView, CView)

BEGIN_MESSAGE_MAP(CZoomBmpView, CView)
	//{{AFX_MSG_MAP(CZoomBmpView)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CZoomBmpView construction/destruction

CZoomBmpView::CZoomBmpView()
{
	// TODO: add construction code here

}

CZoomBmpView::~CZoomBmpView()
{
}

BOOL CZoomBmpView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CZoomBmpView drawing

void CZoomBmpView::OnDraw(CDC* pDC)
{
	CZoomBmpDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	HDIB hDIB = pDoc->GetHDIB();
	if (hDIB != NULL)
	{
		CRect rcDIB;
		LPSTR lpDIB = (LPSTR) ::GlobalLock((HGLOBAL) hDIB);
		rcDIB.right =  (int) ::DIBWidth(lpDIB);         // Size of DIB - x
		rcDIB.bottom = (int) ::DIBHeight(lpDIB);        // Size of DIB - y
		::GlobalUnlock((HGLOBAL) hDIB);
		rcDIB.top = rcDIB.left = 0;

		::PaintDIB(pDC->m_hDC, &rcDIB, hDIB, &rcDIB, NULL);
	}
}

/////////////////////////////////////////////////////////////////////////////
// CZoomBmpView diagnostics

#ifdef _DEBUG
void CZoomBmpView::AssertValid() const
{
	CView::AssertValid();
}

void CZoomBmpView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CZoomBmpDoc* CZoomBmpView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CZoomBmpDoc)));
	return (CZoomBmpDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CZoomBmpView message handlers

