// ZoomBmpDoc.h : interface of the CZoomBmpDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_ZOOMBMPDOC_H__C0C914FC_A2F1_11D2_9E08_00104B9C1BEB__INCLUDED_)
#define AFX_ZOOMBMPDOC_H__C0C914FC_A2F1_11D2_9E08_00104B9C1BEB__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "DIBApi.h"

class CZoomBmpDoc : public CDocument
{
protected: // create from serialization only
	CZoomBmpDoc();
	DECLARE_DYNCREATE(CZoomBmpDoc)

// Attributes
public:

// Operations
public:
	HDIB GetHDIB() {return (m_hDIB ? m_hDIB : m_hSrcDIB);}
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CZoomBmpDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	virtual BOOL OnOpenDocument(LPCTSTR lpszPathName);
	virtual void DeleteContents();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CZoomBmpDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	HDIB m_hDIB;
	HDIB m_hSrcDIB;

// Generated message map functions
protected:
	void ZoomBmp(double zoom);
	//{{AFX_MSG(CZoomBmpDoc)
	afx_msg void OnSelEndOk();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ZOOMBMPDOC_H__C0C914FC_A2F1_11D2_9E08_00104B9C1BEB__INCLUDED_)
